--- tools/profiler/tasktracer/GeckoTaskTracer.cpp	2019-08-23 01:47:27.000000000 +0200
+++ tools/profiler/tasktracer/GeckoTaskTracer.cpp	2019-08-29 18:02:44.541959971 +0200
@@ -25,20 +25,14 @@
 #if defined(__GLIBC__)
 #include <unistd.h>
 #include <sys/syscall.h>
-static inline pid_t gettid()
-{
-  return (pid_t) syscall(SYS_gettid);
-}
+#define gettid() static_cast<pid_t>(syscall(SYS_gettid))
 #elif defined(XP_MACOSX)
 #include <unistd.h>
 #include <sys/syscall.h>
-static inline pid_t gettid()
-{
-  return (pid_t) syscall(SYS_thread_selfid);
-}
+#define gettid() static_cast<pid_t>(syscall(SYS_thread_selfid))
 #elif defined(LINUX)
 #include <sys/types.h>
-pid_t gettid();
+#pid_t gettid();
 #endif
 
 // NS_ENSURE_TRUE_VOID() without the warning on the debug build.


--- js/src/jsnativestack.cpp	2019-08-29 17:45:10.000000000 +0200
+++ js/src/jsnativestack.cpp	2019-08-29 17:53:58.382003265 +0200
@@ -26,11 +26,7 @@
 #  include <sys/syscall.h>
 #  include <sys/types.h>
 #  include <unistd.h>
-static pid_t
-gettid()
-{
-    return syscall(__NR_gettid);
-}
+#  define gettid() static_cast<pid_t>(syscall(__NR_gettid))
 # endif
 
 #else
